Bug 1324025 (CVE-2016-0764) - CVE-2016-0764 NetworkManager: Race condition allowing info leak
Summary: CVE-2016-0764 NetworkManager: Race condition allowing info leak
Status: CLOSED ERRATA
Alias: CVE-2016-0764
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160402,reported=2...
Keywords: Security
Depends On: 1324027 1337774
Blocks: 1323912 1324029
TreeView+ depends on / blocked
 
Reported: 2016-04-05 11:34 UTC by Adam Mariš
Modified: 2019-06-11 11:13 UTC (History)
8 users (show)

(edit)
A race condition vulnerability was discovered in NetworkManager. Temporary files were created insecurely when saving or updating connection settings, which could allow local users to read connection secrets such as VPN passwords or WiFi keys.
Clone Of:
(edit)
Last Closed: 2019-06-08 02:50:21 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2581 normal SHIPPED_LIVE Low: NetworkManager security, bug fix, and enhancement update 2016-11-03 12:08:07 UTC

Description Adam Mariš 2016-04-05 11:34:20 UTC
A race condition that could disclose connection secrets to authenticated local users when changing ifcfg and keyfile connections was found.

External Reference:

https://mail.gnome.org/archives/networkmanager-list/2016-April/msg00000.html

Comment 1 Adam Mariš 2016-04-05 11:34:52 UTC
Created NetworkManager tracking bugs for this issue:

Affects: fedora-all [bug 1324027]

Comment 5 Doran Moppert 2016-05-13 04:27:07 UTC
rhel-5 version 0.7.0 unaffected:  the vulnerable behaviour was introduced between 0.7.1 and 0.7.2.

Comment 7 Doran Moppert 2016-05-20 04:16:03 UTC
From upstream description of the flaw:

> could enable an unprivileged authenticated local user to read connection
> secrets while the connection is being saved.

The opportunity and impact of this vulnerability is very low, so tagging WONTFIX for rhel-6.

Comment 8 errata-xmlrpc 2016-11-03 19:08:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2581 https://rhn.redhat.com/errata/RHSA-2016-2581.html


Note You need to log in before you can comment on or make changes to this bug.